Package org.eclipse.rdf4j.federated.endpoint.provider

## Class RepositoryEndpointProvider

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.provider.RepositoryEndpointProvider

- All Implemented Interfaces:
    `EndpointProvider<RepositoryInformation>`

      public class RepositoryEndpointProvider
      extends Object
      implements EndpointProvider<RepositoryInformation>

  Returns an `Endpoint` for an already configured `Repository`.

  If the repository is already initialized, it is assumed that the lifecycle is managed externally (see `RepositoryEndpoint`. Otherwise, FedX will make sure to take care for the lifecycle of the repository, i.e. initialize and shutdown (see `ManagedRepositoryEndpoint`).

  Author:
    Andreas Schwarte
  See Also:
    `RepositoryEndpoint`, `ManagedRepositoryEndpoint`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Repository` | `repository` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryEndpointProvider​(Repository repository)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Endpoint` | `loadEndpoint​(RepositoryInformation repoInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repository

          protected final Repository repository

  - ### Constructor Detail

    - #### RepositoryEndpointProvider

          public RepositoryEndpointProvider​(Repository repository)

  - ### Method Detail

    - #### loadEndpoint

          public Endpoint loadEndpoint​(RepositoryInformation repoInfo)
                                throws FedXException

      Specified by:
        `loadEndpoint` in interface `EndpointProvider<RepositoryInformation>`
      Throws:
        `FedXException`